import flowbitePlugin from 'flowbite/plugin';

import type { Config } from 'tailwindcss';

export default {
	content: [
		'./src/**/*.{html,js,svelte,ts}',
		'./node_modules/flowbite-svelte/**/*.{html,js,svelte,ts}'
	],
	darkMode: 'selector',
	theme: {
		extend: {
			colors: {
				// flowbite-svelte
				primary: {
					50: '#f2fbf2',
					100: '#e6f7e6',
					200: '#c0eac0',
					300: '#99dc99',
					400: '#66c566',
					500: '#266d26' /* Base color */,
					600: '#205b20',
					700: '#1a491a',
					800: '#143714',
					900: '#0e260e'
				}
			}
		}
	},

	plugins: [flowbitePlugin]
} as Config;
